Subject: string convention in binary tables

From: [email-masked] (William Pence)
Date: Wed, 14 Apr 93 12:26:49 EDT

I just noticed an apparent contradiction between the core BINTABLE
proposal and Appendix A, which states that each individual substring
may be null terminated.  But my understanding of the core proposal was
that only a single null was allowed in a character array column.

If we can have more than one NUL in a character column, then this
neatly solves the problem of how to signify undefined fixed length
substrings in the proposed new substring array convention.

So, should the core proposal be modified to make it clear that the
character array column can contain more than one null character?  This
would mean that simple FITS readers that do not understand the layered
conventions cannot simply ignore any characters following a null
character in a character column, but must instead preserve all the
characters in the entire field.

-Bill Pence